code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/usr/bin/env bash # usage: `sh parse_notes.sh path/to/top/level/directory/with/.txtfiles/in/it # requires libreoffice/openoffice v4+ be installed and the soffice binary be put # in your path somehow mkdir -p docs/ find "$1" \( -name '*.docx' -o -name '*.doc' -o -name '*.odt' -o -name '*.ods' \) -exec soffice --headl...
mjperrone/personal-lexicon
parse_docs.sh
Shell
mit
384
#!/bin/bash wget http://redwood-data.org/indoor/data/indoor-executables-1.1.zip mkdir winbin cd winbin unzip ../indoor-executables-1.1.zip
razmara/s2017
windows_bins.sh
Shell
mit
140
#!/bin/bash set -uex # Blacklist setting # # Types # ------ # - "fftw.*_complex" # - Use `num_complex::Complex32` and `num_complex::Complex64` # - "FILE" # - Use `libc::FILE` instead # - "_.*" # - Remove unrelated # # Function # --------- # - "fftwl_.*" # - Disable `long double` interface # bindgen \ --use-c...
termoshtt/rust-fftw3
fftw-sys/bindgen.sh
Shell
mit
651
#!/usr/bin/env bash # Move to the working directory of the bash script # See: http://stackoverflow.com/a/246128 DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd $DIR ./camsnapshot.py usbrelay UWMGH_1=1 2>/dev/null sleep 3 ./camsnapshot.py ./upload.py
corerd/PyDomo
boiler-on-picfeedback.sh
Shell
mit
263
#!/bin/bash -x # write to file overwrite_to_file() { base16-builder --scheme "db/schemes/atelier-cave.yml" --template "db/templates/prism-less/dark.ejs" > "dist/prism-less/prism-atelier-cave-dark.less" base16-builder --scheme "db/schemes/atelier-cave.yml" --template "db/templates/prism-less/light.ejs" > "dist/pris...
atelierbram/syntax-highlighting
docs/archive/atelier-schemes/io-prism-less.sh
Shell
mit
3,233
#!/bin/sh export http_proxy=http://<proxy host IP>:<Port> export https_proxy=http://<proxy host IP>:<Port> export CI4TMA_HOME=/opt/cpms # Require to change to IP of your machine or FQDN export HOST_IP= <Host IP> APTFILE="/etc/apt/apt.conf.d/10proxy" /bin/cat <<EOM >$APTFILE Acquire::http::Proxy "http://<proxy host I...
TMAers/ci4tma
setup.sh
Shell
mit
1,807
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DLA-115-2 # # Security announcement date: 2015-03-11 00:00:00 UTC # Script generation date: 2017-01-01 21:08:52 UTC # # Operating System: Debian 6 (Squeeze) # Architecture: x86_64 # # Vulnerable packages fix on version: # - gosa:2.6.11-3+squeeze4 # # Last ver...
Cyberwatch/cbw-security-fixes
Debian_6_(Squeeze)/x86_64/2015/DLA-115-2.sh
Shell
mit
594
#!/bin/sh cd ~/Git/Lego-NXT-Java-Programs/Amaze printf 'Amaze Lego Project!' sleep 1 printf '\n\nCompiling...' nxjc 'src/primary/MazeStartup.java' 'src/primary/MazeProgram.java' 'src/primary/MazeRedraw.java' 'src/primary/DriveFunctions.java' 'src/primary/redrawFunctions.java' -d 'bin' sleep 1 printf '\n\nLinking.....
varNinja/Lego-NXT-Java-Programs
build.sh
Shell
mit
369
#!/usr/bin/env bash source $(dirname $0)/helpers.sh # Create and start services pg_ctlcluster $1 my_cluster start # Clone git_fdw's repo git clone --bare https://github.com/franckverrot/git_fdw.git /git_fdw/repo.git # Setup Postgres exec_psql /git_fdw/tests/setup.sql exec_psql /git_fdw/tests/setups/$1.sql exec_psql ...
franckverrot/git_fdw
tests/run.sh
Shell
mit
683
#!/bin/bash # This is a slightly longer version of testh.sh. echo '---------------------------------------' echo 'bundle exec brakeman -Aq -w2 --no-pager' bundle exec brakeman -Aq -w2 --no-pager echo '----------------------' echo 'bundle exec rubocop -D' bundle exec rubocop -D echo '--------------------------------...
jhsu802701/rails_neutrino_5
mod/mod-03-02/mod-03-02-testhl.sh
Shell
mit
414
#! /bin/sh sizes=(21) speeds=(15 30 60 120) for i in "${sizes[@]}" do for j in "${speeds[@]}" do echo "Processing target size $i and speed $j" qsub -pe batch 16 -N 'sizeSpeed_'"$i"'_'"${j}" -b y -j y -cwd -V \ './run_sawtoothSizeSpeed.sh /usr/local/matlab-2014b '\ "$i"' '"$j"' > ./output_'"$i"'_'"$j" done d...
mowreyw/Retina-sim
Scripts/Sawtooth/sawtoothSpeed_script.sh
Shell
mit
324
#!/bin/bash set -e # Exit with nonzero exit code if anything fails # Save some useful information TRAVIS_AUTHOR="Travis CI" TRAVIS_EMAIL="travis@shiv.me" CONTENT_BRANCH="all_md" BLOG_REPO="https://github.com/shiva/blog.shiv.me.source.git" BLOG_BRANCH="master" POSTS_REPO="https://github.com/shiva/blog-posts.git" POS...
shiva/shiva.github.io
build-blog.sh
Shell
mit
1,321
#!/bin/bash set +h packages="binutils-pass1 gcc-pass1 linux-api-headers glibc" package_switches="$(echo ${packages// /|} | sed 's/\([[:alnum:]-]\+\)/_\1/g')" [[ $# -eq 0 ]] && set -- $packages while [ -n "$1" ]; do pkg="$1" eval "case _$pkg in $package_switches) ${pkg}.sh || exit 1 echo ;; ...
cryptarch/linux-from-scratch
build-toolchain.sh
Shell
mit
419
#!/bin/sh set -e cd "../app" ; env "IDENTITY_PORTAL_CLIENT_SECRET=$(kubectl get secret identity-portal-secret -o jsonpath={.data.clientSecret} | base64 -d)" npm run debug:ssr; # kubectl get secret portal-secret -o json | jq '.data.\"auth-secret\"' | tr -d '\"' | base64 -d 2>nul
pavel-agarkov/Midnight-Lizard-Web-Portal
shell/debug-ssr-with-secrets.sh
Shell
mit
280
#!/bin/bash -x for METHOD in euler runge cnexp impl; \ do \ for i in {1..100}; \ do \ DT=$(printf "%d" $(expr $i \* 10)); \ python single_hh.py $DT $METHOD; \ done; \ done;
DaisukeMiyamoto/evaluate_hh_method
exec_single.sh
Shell
mit
195
export PATH=$HOME/local/bin:$PATH export PATH=/usr/local/mongodb/mongodb-linux-x86_64-2.6.4/bin/:$PATH mongod
ModelN/batam
scripts/startMongo.sh
Shell
mit
110
#!/bin/bash #Concept taken from fodor.xyz #Install from Graylog Docs http://docs.graylog.org/en/2.3/pages/installation/os/ubuntu.html #Approx. 12 min. install based on AWS EC2 t2.micro https://aws.amazon.com/ec2/instance-types/ #Prerequisites apt update && sudo apt upgrade -y apt -y install apt-transport-https openjd...
tscibilia/ProvisioningVMs
Graylog2-OneNode-Ubuntu1604.sh
Shell
mit
2,323
#!/bin/bash APP_NAME=vctl TMP_DIR=$PWD/tmp IMAGE_NAME=local/$APP_NAME build_on_docker() { docker build --file Dockerfile-vctl --tag $IMAGE_NAME:built . } build_on_local() { env GOOS=linux go build -a -tags netgo -installsuffix cgo -ldflags '-w' -o "${TMP_DIR}/${APP_NAME}" github.com/octoblu/vulcand/vctl } copy(...
octoblu/vulcand-bundle
build-vctl.sh
Shell
mit
1,219
#!/bin/sh set -ex java -Xms2048m -Xmx4096m -XX:PermSize=256m -jar forge-*-universal.jar nogui
JCubedS/minecraft-release
src/minecraft/ServerStart.sh
Shell
mit
96
DOT="$HOME/.dotfiles" ok symlink $HOME/.vim $DOT/vim/vim.symlink ok symlink $HOME/.vimrc $DOT/vim/vim.symlink/vimrc.vim ok symlink $HOME/.zshrc $DOT/zsh/zshrc.symlink ok symlink $HOME/.gitignore $DOT/git/gitignore.symlink ok symlink $HOME/.gitconfig $DOT/git/gitconfig.symlink ok symlink $HOME/.tmux.conf $DOT/tmux/tmu...
cormacrelf/dotfiles
unused/bork/symlink.sh
Shell
mit
625
# post.jar is included in solr package BASEDIR=$(dirname $0) POSTJAR=$BASEDIR/post.jar URL=$KBASE_SOLR_CI/$1/update java -Durl=$URL -Dauto=yes -Dfiletypes=json -Dcommit=yes -Dout=yes -Drecursive=yes -jar $POSTJAR $2
kbase/reference_data
scripts/post_solr_update.sh
Shell
mit
218
#!/bin/sh set -e { # ensure the entire script is downloaded EXE_URL='https://github.com/gangleri/nextport/releases/download/1.0.0/nextport' MD5_URL='https://github.com/gangleri/nextport/releases/download/1.0.0/md5sum' INSTALL_NAME='/usr/local/bin/nextport' MD5SUM='/usr/local/bin/md5sum' curl -s -L -o $INSTA...
gangleri/nextport
install.sh
Shell
mit
506
#!/usr/bin/env bash cd "$(dirname "${BASH_SOURCE}")"; git pull origin main; function doIt() { rsync --exclude ".git/" \ --exclude ".DS_Store" \ --exclude ".osx" \ --exclude "bootstrap.sh" \ --exclude "bootstrap-osx.sh" \ --exclude "brew.sh" \ --exclude "README*" \ --exclude "README.md" \ --exclude "...
thrasher/dotfiles
bootstrap.sh
Shell
mit
713
var="$1" shift sng_export $_header_ "$var" while IFS= read -r line ; do sng_next << EOS $line EOS out=`eval "$@"` echo "$line$SNG_SEP$out" done
tyn/arcs
pkg/pipe/fjoin.pipe.sh
Shell
mit
151
# Sudo su usermod -a -G sudo jaxson apt-get install sudo exit apt/keys.sh # Upgrade Kernel for Working Sleep sudo apt-get update sudo apt-get -t experimental install linux-image-4.15-0-rc8-amd64 # AMD Graphics Drives (Gallium 0.4, Open Driver) (R9 390X) sudo apt install firmware-linux sudo apt instal...
woofers/Dotfiles
install.sh
Shell
mit
14,541
set -xv #on wpprojects="wpci wpsb wpbp zwba" for app in $wpprojects do rapp="r${app:1}" ftpadmin="mertnuhoglu" ftpuser="$app"'user' cd ~/webapps/$rapp/ touch .htaccess cat >.htaccess << 'EOF' Options +FollowSymLinks RewriteEngine on RewriteCond %{HTTP_HOST} ^www\.(.*)\$ [NC] RewriteRule ^(.*)\$ http://%1/\...
mertnuhoglu/stuff
bash/wf/wf1_redirect_apps.sh
Shell
mit
607
#!/usr/bin/env bash # build syslog server on Fedora 27 # params NAME # installing rsyslog (? elastic + kibana) # listening for remote syslog's on udp port 514 log() { echo "$(date) $(basename $0): $*"; } die() { log "$*" >&2; exit 1; } [ "$EUID" -ne 0 ] && die "Please run as root" SCRIPTS="$( cd "$( dirname "${BASH_S...
hillar/detektiven
vagans/fedora/createFedoraSyslog.bash
Shell
mit
2,724
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd $DIR cd ../libxslt-with-plugins ./build.sh cd - xcodebuild cp build/Release/xsltproc . cp xsltproc ~/bin/xsltproc
justadreamer/SkyScraper
xsltproc/build.sh
Shell
mit
176
#!/bin/bash gem uninstall release_cadet rm -rf ./release_cadet-*.gem gem build release_cadet.gemspec gem install release_cadet --local ./release_cadet-*.gem --no-ri --no-rdoc
marjaimate/release_cadet
rebuild.sh
Shell
mit
175
#!/bin/bash # Jamf Pro Extension Attribute which checks to see if Jamf Protect's protectctl # tool is installed. If protectctl tool is installed, check for Jamf Protect # tenant name. # # If Jamf Protect's protectctl tool is installed: # # Output similar to that shown below will be returned: # # jamf_protect_server_na...
rtrouton/rtrouton_scripts
rtrouton_scripts/Casper_Extension_Attributes/jamf_protect_server/jamf_protect_server.sh
Shell
mit
598
#!/bin/bash environment=$(test -z "$2" && echo "production" || echo "$2") app_root_path=$(cat ./tmp/app_root_path) callback_path=$(cat ./tmp/callbacks_path) change_log_path=$(cat ./tmp/change_logs_path) watchdog_pid_file=${app_root_path}/tmp/pids/nohup.pid case "$1" in start) # not generate pid file when ...
jay16/demo.solife
nohup.sh
Shell
mit
1,748
#!/bin/bash timeclock () { printf "%s\t|%s\n" "$1" "`date`" >> ~/timeclock.log } timeclock "$@"
patbeagan1/libbeagan
scripts/sysadmin/timeclock.sh
Shell
mit
105
eval red=$fg[red] eval green=$fg[green] eval yellow=$fg[yellow] eval blue=$fg[blue] eval magenta=$fg[magenta] eval cyan=$fg[cyan] eval white=$fg[white] eval grey=$fg[grey] PROMPT='$(_user_host)${_current_dir}$(git_prompt_info) %{$white%}>%{$reset_color%} ' PROMPT2='%{$grey%}◀%{$reset_color%} ' RPROMPT='$(_vi_status)%{...
carloscuesta/materialshell
materialshell.zsh
Shell
mit
1,787
#!/bin/bash port knock sequence for x in 1466 67 1469 1514 1981 1986; do nmap -Pn --host_timeout 201 --max-retries 0 -p $x 192.168.1.139; done
chrisbensch/scripts
tools/misc/portknock.sh
Shell
mit
144
g++ parsecvs.cpp -o parsecvs ./parsecvs > LoadUserData.php mv LoadUserData.php ~/learnyoulatin/src/AppBundle/DataFixtures/ORM
jbki/learnyoulatin
preparation/moveit.sh
Shell
mit
126
#!/bin/bash # # Lars Schylberg, 2015-09-22 # # process_layer_colors.sh # # Purpose: Substitute colors, paths, msd and groups in template files # according rules in color, group and msd csv files. # # Evaluate arguments # if [ $# != 6 ] then echo echo Usage: `basename $0` echo ' chart...
LarsSchy/SMAC-M
chart-installation/generate_map_files/scripts/process_layer_colors.sh
Shell
mit
10,224
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2013:1779 # # Security announcement date: 2013-12-03 16:54:04 UTC # Script generation date: 2017-01-01 21:15:00 UTC # # Operating System: Red Hat 6 # Architecture: i386 # # Vulnerable packages fix on version: # - mod_nss.i686:1.0.8-19.el6_5 # - mod_nss...
Cyberwatch/cbw-security-fixes
Red_Hat_6/i386/2013/RHSA-2013:1779.sh
Shell
mit
734
#! /bin/sh seqName=$1 nn=$2 lpart=$3 pathLDhat=$4 jobId=$5 out=$6 curr=$(pwd) # sed -i "1i $nn $lpart 1" $seqName awk -v n=1 -v s="$nn $lpart 1" 'NR == n {print s} {print}' $seqName > ${curr}/"FastaTemp_${out}${jobId}.fa" mv ${curr}/"FastaTemp_${out}${jobId}.fa" $seqName mkdir -p "${out}${jobId}" && cd "${out}${jobId}...
PhHermann/LDJump
exec/Sums_LDHat_pack.sh
Shell
mit
1,382
#!/bin/bash # rsync -ravpP xenon:video_archive/output.mp4 ~/Desktop/output.mp4 rsync -ravpP pi:video_archive/output.mp4 ~/Desktop/output.mp4
ajmendez/timerasp
bin/get_video.sh
Shell
mit
142
# Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not use ...
ryba-io/ryba
packages/metal/sqoop/resources/sqoop-env.sh
Shell
mit
1,596
#!/bin/sh -v # # See https://makeappicon.com/ios8icon ABSOLUTE_PATH=$(cd $(dirname "$0"); pwd) LOCATION="$ABSOLUTE_PATH/../imbk/Assets.xcassets/AppIcon.appiconset/" MODEL=$ABSOLUTE_PATH/../model/ convert -font $MODEL/OpenSans.ttf -resize '29x29' -unsharp 1x4 $MODEL/imbk-icon.svg "$LOCATION/Icon-Small.png" convert ...
andrewferrier/imbk
fastlane/prepare_icons.sh
Shell
mit
1,448
#!/usr/bin/env bash ####################################################################### ####################################################################### ## RNAseq based Myeloma Purity Calculator ## ## Copyright (c) 2021 Translational Genomics Research Institute ## ## This software may be modified and distri...
tgen/MMRF_CoMMpass
myeloma_purityCalculator_RNAseq/purityChecker_GRCh38_e98.sh
Shell
mit
21,686
#!/bin/bash FOO="FOO" BAR="BAR" if [ "$FOO" == "$BAR" ]; then echo Foo is equal to bar. else echo Foo is not equal to bar. fi if [ "$FOO" != "$BAR" ]; then echo Foo is not equal to bar. else echo Foo is equal to bar. fi if [ -n "$BAZ" ]; then echo Baz is not null. else echo Baz is null. fi if [ -z "$BAZ" ]; ...
AnthonyWlodarski/TLDP
Bash-Prog-Intro-HOWTO/stringComparison.sh
Shell
mit
375
#!/bin/bash # Ensure we run from this directory. DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd $DIR ./create_vpnlan.sh echo "Restarting tinc" cd tinc ./restart.sh cd .. echo "Restarting openvpn" cd openvpn ./restart.sh cd ..
iwanders/vpn_infrastructure
server/start.sh
Shell
mit
242
#! /usr/bin/env bash # ideas borrowed from https://github.com/gtramontina/dotfiles/blob/master/scripts/after.sh set -eu log () { local fmt="» $1\n"; shift; tput setaf 2; printf "\n$fmt" "$@"; tput sgr0; } # defaults read com.apple.symbolichotkeys AppleSymbolicHotKeys for all sorts of things; set a few: # Change ...
johan/dotfiles
scripts/after.sh
Shell
mit
2,003
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-3260-1 # # Security announcement date: 2015-05-13 00:00:00 UTC # Script generation date: 2017-01-01 21:07:23 UTC # # Operating System: Debian 8 (Jessie) # Architecture: x86_64 # # Vulnerable packages fix on version: # - iceweasel:31.7.0esr-1~deb8u1 # # La...
Cyberwatch/cbw-security-fixes
Debian_8_(Jessie)/x86_64/2015/DSA-3260-1.sh
Shell
mit
732
#!/bin/bash CI_SETUP_CMAKE_ARGS=$1 cd taichi python3 -m pip install -r requirements_dev.txt rm -rf build && mkdir build && cd build cmake $CI_SETUP_CMAKE_ARGS .. cd .. python3 ./scripts/run_clang_tidy.py $PWD/taichi -clang-tidy-binary clang-tidy-10 -checks=-*,performance-inefficient-string-concatenation,readability...
yuanming-hu/taichi
.github/workflows/scripts/check_clang_tidy.sh
Shell
mit
384
#!/bin/bash -ex PLATFORM="$1" [ -z "$PLATFORM" ] && PLATFORM="debian" ./emacs24/"${PLATFORM}".sh ./emacs24/install-settings.sh ./emacs24/install-cask.sh
morgen-peschke/setup-dev-environment
setup-emacs.sh
Shell
mit
154
## ## Simple logging mechanism for Bash ## ## Author: Michael Wayne Goodman <goodman.m.w@gmail.com> ## https://gist.github.com/goodmami/6556701 ## ## License: Public domain; do as you wish ## exec 3>&2 # logging stream (file descriptor 3) defaults to STDERR # # $log_verbosity and $log_file_path can be editted to cont...
austb/infusion
lib/helpers/logging_helpers.sh
Shell
mit
1,704
#!/usr/bin/env bash # Path to the bash it configuration export BASH_IT="$HOME/.bash_it" # Lock and Load a custom theme file # location /.bash_it/themes/ export BASH_IT_THEME='bobby' # Your place for hosting Git repos. I use this for private repos. export GIT_HOSTING='git@git.domain.com' # Don't check mail when open...
prajnak/bash_it
template/bash_profile.template.bash
Shell
mit
832
#!/bin/bash # Syntax # whiptail --title "<dialog box title>" --yesno "<text to show>" <height> <width> if (whiptail --title "Select Option" --yesno "Choose Between Yes and No." 10 60) then echo "You chose Yes. Exit status was $?." else echo "You chose No. Exit status was $?." fi
JohnTroony/Scriptology
BASH/whiptail/yes-no.sh
Shell
cc0-1.0
286
#!/bin/bash GRATING="KKK" HELPERS="[129994]" SCIS="01 02 03 04 05 06" for SCI in ${SCIS}; do mkdir -p sci-$SCI/helpers cd sci-$SCI/helpers ../../reduce helpers ../ grating=$GRATING helpers=$HELPERS ./reduce.sh cd ../../ done
cschreib/kmos-scripts
collapse_helpers.sh
Shell
cc0-1.0
247
#!/bin/sh # # print something then run ls # also, hashes indicate a comment. # use the 'source' command (alias '.') # . /home/james/src/scripts/Bash/bin/functions/colours.sh source /home/james/src/scripts/Bash/bin/functions/colours.sh colour blue echo "this will be blue on the output."
jameswilliamknight/scripts.pub
Bash/tutorial/01_run-bash-script.sh
Shell
cc0-1.0
298
#!/usr/bin/env bash brew update && brew install dependency-check #https://github.com/facebook/infer brew install infer curl https://raw.githubusercontent.com/simonthum/git-sync/master/git-sync > /usr/local/bin/git-sync chmod +x /usr/local/bin/git-sync brew install tor
gerritjvv/emacs
toolsetup/install.sh
Shell
epl-1.0
277
#!/bin/bash readonly display_num=1 readonly resolution=1280x720 readonly script_dir=$(dirname $(realpath $0)) readonly config_path=$(readlink -f ${script_dir}/../../awesomerc.lua) Xephyr :"$display_num" -ac -br -noreset -screen "$resolution" & sleep 1 DISPLAY=":${display_num}.0" awesome -c "$config_path" exit 0
laszloth/awesomewm-config
scripts/debug/test_rc.sh
Shell
gpl-2.0
318
cd arch/arm/boot sudo fastboot flash:raw boot zImage boot.img-ramdisk.cpio.gz && sudo fastboot reboot
Tasssadar/kernel_nexus
install.sh
Shell
gpl-2.0
101
#!/bin/bash # --------------------------------------------- # # check_nx.sh by torad Last edit: 21.04.2010 # # --------------------------------------------- # # Purpose: # # - Display list of enabled and active NX users # # Relies on: # # - nag...
simontakite/sysadmin
nagios_checks/check_nx.sh
Shell
gpl-2.0
1,228
#!/bin/bash grupos=`groups $1 | cut -d: -f2` if [ ! -d "/srv/files/users/$1" ]; then mkdir /srv/files/users/$1; fi umount /srv/files/users/$1/* >/dev/null chown -R $1:$2 /srv/files/users/$1 for i in $grupos; do if [ ! -d "/srv/files/users/$1/$i" ]; then mkdir /srv/files/users/$1/$i; fi chgrp -R $i /srv/f...
sprc86/mystuff
samba_auto_mounting_user_folders_according_to_groups/script_preexec_samba.sh
Shell
gpl-2.0
449
#!/bin/sh java -server -classpath .:bin \ -Djava.util.logging.config.file=./logging.properties \ -Dcom.sun.management.jmxremote \ fr.hbis.ircs.Application
bhuisgen/hbircs
data/script/run-debug.sh
Shell
gpl-2.0
159
#!/bin/bash -e # This file is part of INSPIRE-SCHEMAS. # Copyright (C) 2017 CERN. # # INSPIRE-SCHEMAS is free software; you can redistribute it # and/or modify it under the terms of the GNU General Public License as # published by the Free Software Foundation; either version 2 of the # License, or (at your option) any ...
inspirehep/inspire-schemas
tests/integration/test_setup.sh
Shell
gpl-2.0
1,843
#!/bin/sh if [ "`uname`" = "Darwin" ] then RL=greadlink else RL=readlink fi OUTDIR="../out" EMFDIR="./vss" ret=0 VAGRIND_CMD="valgrind --tool=memcheck --leak-check=yes --show-reachable=yes --num-callers=20 --track-fds=yes --error-exitcode=42" VERBOSE=1 ABSPATH=$($RL -f "$(dirname $0)") STOPONERROR="no" help...
kakwa/libvisio2svg
tests/resources/check_correctness.sh
Shell
gpl-2.0
3,526
#!/bin/bash jpm run -b $(which firefox) # -p /home/berocs/downloads/firefox_profiledir #cfx run -p /home/berocs/Downloads/firefox_profiledir
ctag/chevaline_alpha
firefox/run.sh
Shell
gpl-2.0
143
while true do df -k . sleep 10 clear done
leortegar/scripting
ciclo.sh
Shell
gpl-2.0
42
#!/bin/bash ####################################################################### # Name: tos.sh # # Description: Script for task over SSH. # # Author: Rustam Ojukas # # Github: https://g...
rustamojukas/TOS-project
bash_version/tos.sh
Shell
gpl-2.0
3,251
#!/bin/sh VERSIONS=$3 echo for v in $VERSIONS; do cat sig_ref_$2_${v}.txt | \ ( read line; rom_start=($line) ; \ while read line; do # workaround - multiword read does not work in Windows shell! line=($line) name=${line[0]} addr=${line[1]} length=${line[2]} ./gensig sig_re...
emlyn/chdk
tools/gensigs.sh
Shell
gpl-2.0
638
#!/bin/bash # Copyright (C) 2008 Red Hat, Inc. All rights reserved. # # This copyrighted material is made available to anyone wishing to use, # modify, copy, or redistribute it subject to the terms and conditions # of the GNU General Public License v.2. # # You should have received a copy of the GNU General Public Lice...
michael42/dmcrypt-static-android
test/shell/inconsistent-metadata.sh
Shell
gpl-2.0
2,138
######################################################################## # --binlog-info tests ######################################################################## xtrabackup --help 2>&1 | grep 'binlog-info *auto' function test_binlog_info() { start_server $@ has_backup_locks && bl_avail=1 || bl_avail=0...
VasilyNemkov/percona-xtrabackup
storage/innobase/xtrabackup/test/t/binlog_info.sh
Shell
gpl-2.0
4,156
#!/bin/bash # refine_comptr_output.sh # on sept 22nd 2015 make it possible to pass input file with comment # on dec 15th 2015 make it possible to have annot and transcript file with gene_id and transcript_id anywhere and to have only exons in predictions # on Feb 3rd 2017 make it possible to use an annotation file whic...
sdjebali/Scripts
old/refine_comptr_output.sh
Shell
gpl-2.0
22,655
#!/bin/bash ######################################################################### # xdaq-setup-texmaker.sh # # # # This script is part of XDAQ v1.1.0 Open Source Software Ecosystem # # Copyrigh...
misteralex/XDAQ
Tools/xdaq-setup-texmaker.sh
Shell
gpl-2.0
1,931
#!/bin/bash set -ex set -o pipefail mkdir -p /run/udev/rules.d/ ! test -f /run/udev/tags/added/c1:3 && ! test -f /run/udev/tags/changed/c1:3 && udevadm info /dev/null | grep -q -v 'E: TAGS=.*:added:.*' && udevadm info /dev/null | grep -q -v 'E: CURRENT_TAGS=.*:added:.*' && udevadm info /dev/null | gre...
darkcircle/systemd
test/units/testsuite-17.04.sh
Shell
gpl-2.0
2,069
#!/usr/bin/env bash amdroot=$(find * -maxdepth 0 -name "AMDAPPSDK*" -exec echo `pwd`/{} \; | tail -1) mkdir -p openmm-build && cd openmm-build $HOME/cmake/bin/cmake /vagrant/openmm \ -DCMAKE_INSTALL_PREFIX=$HOME/openmm \ -DOPENMM_BUILD_C_AND_FORTRAN_WRAPPERS=OFF \ -DOPENMM_BUILD_PYTHON_WRAPP...
mpharrigan/fahbench
packaging/vagrant/install-openmm.sh
Shell
gpl-2.0
796
#!/bin/sh TEST_SCRIPT=./VMake/executableTester.sh until test -r ${TEST_SCRIPT} ; do TEST_SCRIPT=../${TEST_SCRIPT} done . ${TEST_SCRIPT} setUpdateModeFromArg ${1} testname="`basename $0 .sh`" runAndHandleSystemTestStdLocations "Underworld testVelicSolDA.xml" "$0" "$@"
geodynamics/gale
Underworld/SysTest/RegressionTests/oldTesting/testVelicSolDA.0of1.sh
Shell
gpl-2.0
279
#!/bin/bash # \author Bruno Combal # \date August 2014 source /usr/local/uvcdat/1.2.0/bin/setup_cdat.sh indir=/data/tmp/francesco/input/new/tmp outdir=/data/tmp/francesco/out modelList=/data/tmp/francesco/models.txt ./make_ensembleMean_tzyx.py -v thetao -minVar 200 -maxVar 330 -monthlist 2 -startYear 2030 -endYear 2...
BrunoCombal/climate
test_ensembleMean_tzyx.sh
Shell
gpl-2.0
444
#!/bin/bash BUILD_TOP_DIR=$(pwd) NUMCPU=$(grep processor /proc/cpuinfo | tail -n1 | tr -d ' ' | cut -d':' -f2) source my_setup.sh test -z $CROSS_COMPILE && exit 1 make ja3gduos_chn_cu_00_defconfig nice make -j $NUMCPU
cyaniris/sgs4duos_kernel
build_kernel.sh
Shell
gpl-2.0
224
#! /bin/sh # Copyright (C) 2011-2018 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
komh/automake-os2
t/lex-header.sh
Shell
gpl-2.0
2,156
#! /bin/sh # Copyright (C) 2008-2013 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
GavinSmith0123/automake-amplain
t/check8.sh
Shell
gpl-2.0
2,541
#!/usr/bin/env python from __future__ import print_function import erppeek for src in ['origen', 'destino']: client = erppeek.Client.from_config(src) proxy = client.model('hr.employee') employees = proxy.browse([]) print('> ' + src + ':') for empl in employees: print("\t {emp.id} {emp...
AntaresConsulting/odoo-marble
product_marble/scripts/erppeek.10.employee.sh
Shell
gpl-2.0
347
#!/bin/sh cd ~/src/SMART/adbcontrol/ java -jar adbcontrol.jar & wmctrl -r "ADB Control" -e 0,0,0,1024,1024
dsh2/dotfiles
bin/adbcontrol-start.sh
Shell
gpl-2.0
108
# -*- shell-script -*- # list.sh - Some listing commands # # Copyright (C) 2008-2011, 2018 # Rocky Bernstein <rocky@gnu.org> # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License as # published by the Free Software Foundation; either ve...
rocky/kshdb
command/list.sh
Shell
gpl-2.0
4,800
#!/bin/sh # # Copyright (C) 2006 Martin Waitz <tali@admingilde.org> # test_description='test clone --reference' GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME=main export GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME . ./test-lib.sh base_dir=$(pwd) U=$base_dir/UPLOAD_LOG # create a commit in repo $1 with name $2 commit_in () { ( ...
tacker66/git
t/t5604-clone-reference.sh
Shell
gpl-2.0
9,237
mysql> flush tables with readlock; show master status; slave stop; change master to master_host='192.168.48.128', master_user='backup', master_password='backup', master_log_file='mysql-bin.000003', master_log_pos=1826803; slave start; 1826803 show slave status\G;jfjb
lilinji/a-Students
Learning_notes/mysql/mysql-slave.sh
Shell
gpl-2.0
277
#!/bin/bash function run() { echo "TESTING $1" cd "$1/tests/" ./test.sh cd ../../ } run input
Demorde/openmw-android
libs/openengine/testall.sh
Shell
gpl-3.0
104
#!/bin/bash set -e set -x export LD_LIBRARY_PATH=/usr/local/zed ./OpenKAI $PWD/kiss/apsync.kiss
diydrones/companion
Nvidia_JTX1/Ubuntu/start_openkai.sh
Shell
gpl-3.0
98
#!/usr/bin/env bash # Exit script as soon as a command fails. set -o errexit # Executes cleanup function at script exit. trap cleanup EXIT cleanup() { # Kill the ganache instance that we started (if we started one and if it's still running). if [ -n "$rpc_pid" ] && ps -p $rpc_pid > /dev/null; then kill -9 $r...
aragon/aragon-network-token
packages/sale/scripts/ganache-cli.sh
Shell
gpl-3.0
1,132
#!/usr/bin/env bash PYTHON=python ${PYTHON} ./bintut.py plain -b0.1 "${@}" && ${PYTHON} ./bintut.py plain -b0.1 -6 "${@}" && ${PYTHON} ./bintut.py nop-slide -b0.1 "${@}" && ${PYTHON} ./bintut.py nop-slide -b0.1 -6 "${@}" && ${PYTHON} ./bintut.py jmp-esp -b0.1 "${@}" && ${PYTHON} ./bintut.py jmp-...
NoviceLive/bintut
tests/should_work.sh
Shell
gpl-3.0
554
#!/bin/bash set -e -f -o pipefail source "/usr/local/etc/babun/source/babun-core/tools/script.sh" source "$babun/source/babun-core/tools/stamps.sh" welcome_stamp="/usr/local/etc/babun/stamps/welcome" if ! [ -f "$welcome_stamp" ]; then babun --welcome echo "" echo "$(date)" > "$welcome_stamp" fi
justathoughtor2/atomicApe
cygwin/usr/local/etc/babun/source/babun-core/tools/welcome.sh
Shell
gpl-3.0
303
#!/bin/bash # # Unattended/SemiAutomatted OpenStack Installer # Reynaldo R. Martinez P. # E-Mail: TigerLinux@Gmail.com # OpenStack MITAKA for Centos 7 # # PATH=$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin if [ -f ./configs/main-config.rc ] then source ./configs/main-config.rc mkdir -p /etc/ope...
tigerlinux/openstack-mitaka-installer-centos7
modules/keystone-sahara.sh
Shell
gpl-3.0
2,159
#!/bin/bash pause() { echo "Appuyez sur Entrée pour continuer..." read } echo "Attention, l'extraction ne fonctionne pas si le poste de travail est situe derriere un serveur proxy" echo "Veuillez patienter, l'extraction est longue..." cd extract_stations_from_sandre # call extract_stations_from_sandre_run.bat --context...
Irstea/alisma
utilitaires/extract_stations_sandre.sh
Shell
gpl-3.0
492
#!/usr/bin/env bash # verifies all the necessary packages export WORKON_HOME=$HOME/.virtualenvs source $WORKON_HOME/ponicwatch/bin/activate for package in 'bottle' 'APScheduler' 'Markdown' 'matplotlib' 'pigpio' do echo "Package" $package pip search $package | grep 'INSTALLED\|LATEST' done
ericgibert/ponicwatch
Docs/check_versions.sh
Shell
gpl-3.0
314
#!/bin/bash echo "shell-scripts/findbugs_git_info.sh" # Show extra information about the code being built echo "######################################################" cd ovirt-engine git log -1 echo "######################################################" git status echo "#############################################...
oVirt/jenkins
jobs/confs/shell-scripts/findbugs_git_info.sh
Shell
gpl-3.0
330
cd /home/lm/src/Lifemap/PIPELINE ./Main.py
damiendevienne/Lifemap
PIPELINE/Update.sh
Shell
gpl-3.0
44
sudo apt-get update sudo apt-get install zenity wmctrl notify-send "Basic package install complete, we'll now begin the Streisand install process." sleep 2 #Force Zenity to be on top. sleep 1 && wmctrl -a AWS -b add,above& #Start progress box (coproc zenity --progress --pulsate --width=450 \ --title="AWS Streisand Se...
ipat8/Streisand-VPN-GUI
gui.sh
Shell
gpl-3.0
7,555
#! /bin/bash ### CALCULATE GC CONTETNS OF A GENOME ### Or for the lolz, of any text file :-P # Set working directory #cd {path}/linux_intro/play_ground # Set file to be used as input #ln -s sgtpepper/sgtpepper input #ln -s ../data/genome/GCF_000146045.2_R64_genomic.fna.gz input ## We'll use zgrep on the first gre...
3nrique0/tutorials
linux_intro/playground/gc_content/calculate_GC_content_solution_v1.sh
Shell
gpl-3.0
1,049
#!/usr/bin/env bash if [ ! -f "setup.py" ]; then echo "Please run this script from the repository root." exit 1 fi . venv/bin/activate pytest exit $?
sobjornstad/esc
scripts/pre_commit.sh
Shell
gpl-3.0
160
#!/bin/bash DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) cd ${DIR} if [[ -z "$1" ]]; then echo "usage $0 architecture" exit 1 fi ARCH=$1 export TMPDIR=/tmp export TMP=/tmp NAME=rsyslog VERSION=8.16.0 BUILD=${DIR}/build PREFIX=${BUILD}/${NAME} apt-get -y install build-essential cmake libncurses5-de...
syncloud/3rdparty
rsyslog/build.sh
Shell
gpl-3.0
769
#!/bin/sh tar -xf BasemarkGPU_ubuntu18_x64.tar.gz echo "<?php \$result = file_get_contents(\$argv[1]); \$json = json_decode(\$result, TRUE); echo 'AVERAGE FPS: ' . \$json['result']['averageFPS'] . PHP_EOL; echo 'MINIMUM FPS: ' . \$json['result']['minFPS'] . PHP_EOL; echo 'MAXIMUM FPS: ' . \$json['result']['maxFPS'] ...
phoronix-test-suite/phoronix-test-suite
ob-cache/test-profiles/pts/basemark-1.0.0/install.sh
Shell
gpl-3.0
780
#!/bin/bash # from the current directory replace likewise rpm on listed servers with # the most recent likewise rpm in the cwd. # # initialize variables, make sure needed args supplied # function init() { if (( ${#} < 1 )) then echo "Need ip addresses of cluster nodes to update" exit 2 fi rpmHost='e6s14' e6...
mikersgit/nixScripts
bash/lwReplace.sh
Shell
gpl-3.0
2,445
#!/bin/bash # ./installer.sh apps/simple_switch_13.py # # iptables -A INPUT -p tcp -m tcp --dport 6633 -j ACCEPT echo "Remember: First install ryu controller with pip install ryu" mkdir -p /etc/ryuctrl/ cp ryu.service.default /etc/ryuctrl/ cp service_creator.sh /etc/ryuctrl/service_creator.sh cp service_delete.sh /e...
luisza/sdn_control
ryu/installer.sh
Shell
gpl-3.0
602
#!/usr/bin/env bash # Copyright 2014 D630 # https://github.com/D630/acti # This program is free software: you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by the # Free Software Foundation, either version 3 of the License, or (at your # option) any later versio...
D630/acti
utils/acti_custom.sh
Shell
gpl-3.0
912
#!/bin/bash ###################################### ###################################### ## Desenvolvido por : ## ## Alessandro Librelato ## ## Roberto Fettucia ## ## ## ## OS : DEBIAN Whezzy ## ## Data : 12/03/2014 ## ## Versao : 2.0 ## ## ## ###################################### ...
alibrelato/scripts
SMS/sms_versaoFinal/backup/usr/local/bin/redundanciaModem2.sh
Shell
gpl-3.0
8,956